<?php
/**
 * Loads support form view.
 *
 * @package miniorange-sms-order-notification-otp-verification/controllers/
 */

if ( ! defined( 'ABSPATH' ) ) {
	exit; // Exit if accessed directly.
}
use WCSMSOTP\Helper\MoConstants;
use WCSMSOTP\Handler\MoActionHandlerHandler;
use WCSMSOTP\Helper\MoUtility;

if ( ! isset( $mowc_admin_handler ) ) {
	$mowc_admin_handler = MoActionHandlerHandler::instance();
}

$mowc_mo_current_user = wp_get_current_user();
$mowc_email           = get_mo_wc_option( 'admin_email' );
$mowc_phone           = get_mo_wc_option( 'admin_phone' );
$mowc_phone           = $mowc_phone ? $mowc_phone : '';
$mowc_support         = MoConstants::FEEDBACK_EMAIL;
$mowc_nonce           = $mowc_admin_handler->get_nonce_value();

$mowc_support_view_file = MOV_WC_DIR . 'views/support.php';
if ( ! MoUtility::mo_require_file( $mowc_support_view_file, MOV_WC_DIR ) ) {
	return;
}
require $mowc_support_view_file;
